package ttserver;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.text.SimpleDateFormat;
import java.util.Calendar;

public class TTServerThreaded {

    Calendar cal = Calendar.getInstance();

    public static String TIME = "time";

    public static String TEMP = "temp";

    ServerSocket servsock;

    public TTServerThreaded() {
	try {
	    servsock = new ServerSocket(65000);
	    while (true) {
		new ClientWorker(servsock.accept()).start();
	    }
	} catch (IOException e) {
	    // TODO Auto-generated catch block
	    e.printStackTrace();
	}
    }

    class ClientWorker extends Thread {

	Socket clisock;

	BufferedReader in;

	PrintWriter out;

	public ClientWorker(Socket clisock) {
	    this.clisock = clisock;
	    try {
		in = new BufferedReader(new InputStreamReader(clisock.getInputStream()));
		out = new PrintWriter(clisock.getOutputStream(), true);
	    } catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	    }

	}

	@Override
	public void run() {
	    SimpleDateFormat sf = new SimpleDateFormat("HH:mm:ss");
	    super.run();
	    while (true) {
		// blokirajuca f-ja
		String command;
		try {
		    command = in.readLine();
		    if (command.equals(TIME)) {
			out.println(sf.format(cal.getTime()));
		    } else if (command.equals(TEMP)) {
			out.println(String.format("%.2f", Math.random() * 20 - 5));
		    }
		} catch (IOException e) {
		    // TODO Auto-generated catch block
		    e.printStackTrace();
		}
	    }
	}
    }

    public static void main(String... args) {
	TTServerThreaded tts = new TTServerThreaded();
    }
}
